/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-13 16:34:46.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.service.CoursePaperService;
import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.CoursePaperInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.CoursePaperQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 课程试卷相关接口
 *
 * @author: fengdesheng
 * @since: 2018/11/13
 */
@RestController
@Api(tags = "课程试卷相关接口")
@RequestMapping("${$rmp.ctrl.print}/course/paper")
public class CoursePaperController extends ControllerSupport {
    @Autowired
    private CoursePaperService coursePaperService;

    @PostMapping("/list")
    @ApiOperation(value = "获取课程试卷列表")
    public List<CoursePaperInfo> list(@RequestBody CoursePaperQuery query) {
        return coursePaperService.getCoursePaperList(query);
    }

}