/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:25:58.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.coursepaper.CoursePaperTotalInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseRefreshForm;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import org.springframework.data.domain.Page;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
public interface CourseStatisticService {

    /**
     * 获取课程统计信息列表(分页)
     */
    Page<CourseStatisticInfo> getCourseStatisticList(CourseStatisticQuery query);

    /**
     * 刷新某些课程的统计信息
     *
     * @param form 请求表单
     */
    void initCourseStatistic(CourseRefreshForm form);

    /**
     * 初始所有课程的统计信息
     */
    void initAllCourseStatistic();

    /**
     * 同步更新课程名称信息
     */
    void syncCourseNameByCourseId(Long courseId, String courseName);

    /**
     * 分配待指定试卷
     */
    void allotCoursePaper(Long orgId, Long examId);

    /**
     * 获取某学校考试的试卷数量情况
     */
    CoursePaperTotalInfo getPaperTotalByOrgIdAndExamId(Long orgId, Long examId);

    /**
     * 整体导出(导出考试下所有试卷文件)
     */
    String exportAllByOrgIdAndExamId(Long orgId, Long examId);

    /**
     * 批量导出
     */
    String exportBatchByIds(Long[] ids);

}